Subject: bug#55720: 29.0.50; delete to trash, file already exists

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 07 Jun 2022 11:19:22 +0200

Jean Louis <[email-masked]> writes:

>> > 1. My Trash is: ~/tmp/Trash
>> > 2. delete-by-moving-to-trash is true
>> > 3. I have ~/newdvd
>> > 4. In Trash I have:
>> >      lrwxrwxrwx 1    9 May 27 05:24 newdvd -> ../newdvd
>> > 5. I cannot delete ~/newdvd as I get error that file already exists
>> 
>> What is ~/newdvd in 3) -- a symlink, a file, or a directory?
>
> it is directory in ~/

I was unable to reproduce this with "emacs -Q": I created a symlink
called "newdvd", trashed it, created a directory called newdvd and
trashed it too, and Emacs worked as it should.

Do you have a complete recipe to reproduce the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no